Bug 594764 - [abrt] crash in system-config-services-0.99.43-1.fc12: polkit.py:144:_enable_proxy:DBusException: org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
[abrt] crash in system-config-services-0.99.43-1.fc12: polkit.py:144:_enable_...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-services (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
abrt_hash:db6ade61
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-21 10:25 EDT by Ian Roberts
Modified: 2011-06-27 12:33 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:33:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.24 KB, text/plain)
2010-05-21 10:26 EDT, Ian Roberts
no flags Details

  None (edit)
Description Ian Roberts 2010-05-21 10:25:58 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/system-config-services
component: system-config-services
executable: /usr/bin/system-config-services
kernel: 2.6.32.12-115.fc12.x86_64
package: system-config-services-0.99.43-1.fc12
reason: polkit.py:144:_enable_proxy:DBusException: org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)
release: Fedora release 12 (Constantine)

backtrace
-----
polkit.py:144:_enable_proxy:DBusException: org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)

Traceback (most recent call last):
  File "/usr/bin/system-config-services", line 1040, in <module>
    GUI(use_dbus=use_dbus).run()
  File "/usr/bin/system-config-services", line 988, in __init__
    self.serviceherders.append(cls(bus=self._bus))
  File "/usr/lib/python2.6/site-packages/scservices/dbus/proxy/serviceherders.py", line 62, in __init__
    for service_name in self.list_services():
  File "<string>", line 2, in list_services
  File "/usr/lib/python2.6/site-packages/slip/dbus/polkit.py", line 144, in _enable_proxy
    raise e
DBusException: org.freedesktop.DBus.Error.NoReply: Message did not receive a reply (timeout by message bus)

Local variables in innermost frame:
e: DBusException('Message did not receive a reply (timeout by message bus)',)
authfail_exception: None
pkver: '1'
k: {}
handle_authfail: <function handle_authfail at 0xf1dc80>
p: (<scservices.dbus.proxy.serviceherders.DBusSysVServiceHerderProxy object at 0xe6be90>,)
func: <function list_services at 0xe7e050>
exc_name: 'org.freedesktop.DBus.Error.NoReply'
authfail_result: <class 'slip.dbus.polkit.AUTHFAIL_DONTCATCH'>
authfail_callback: None
Comment 1 Ian Roberts 2010-05-21 10:26:01 EDT
Created attachment 415704 [details]
File: backtrace
Comment 2 Nils Philippsen 2010-05-28 05:24:15 EDT
How often have you seen this error? Can you reproduce this on a freshly rebooted machine?
Comment 3 James W. Melody 2010-09-05 07:05:05 EDT
Package: system-config-services-0.99.46-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Started system-config-services from the System menu.
2.
3.


Comment
-----
Started system-config-services from the System menu.  I was performing a yum update at the time,
but I'm pretty sure that the packages affected had nothing to do with system-config-services.
Comment 4 Nils Philippsen 2010-10-11 06:11:07 EDT
I've built scratch packages for python-slip* which should make debugging this issue easier. Please download them from:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2527277

Afterwards, install them as root with "rpm -Fvh python-slip*rpm" or "yum --nogpgcheck localupdate python-slip*rpm". Please try to reproduce the error with these updated packages installed and post error messages/tracebacks. Thanks!
Comment 5 Nils Philippsen 2010-11-02 12:06:37 EDT
All : please don't reset needinfo flags if you're not providing the info requested. Thanks!
Comment 6 Bug Zapper 2010-11-03 10:28:08 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Nivag 2010-11-29 05:58:59 EST
Package: system-config-services-0.99.47-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.???
2.
3.


Comment
-----
I think I was trying to restart dhcpd with an invalid configuration file.  The process utilization went to about 100% of one processor core acording to top.
Comment 8 phracking 2010-11-30 17:51:53 EST
Package: system-config-services-0.99.46-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.restart the httpd service from system-config-services 0.99.46




Comment
-----
I may have double click the "restart"
Comment 9 Nivag 2010-12-01 13:37:49 EST
Package: system-config-services-0.99.47-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. ???
2.
3.


Comment
-----
Services had been running for several hours, I have it up most times.

I ha the cpuspeed line highlighted.

I clicked on stop several times, and nothing appeared to happen.

I killed & restarted it, them stop worked for cpuspeed.
Comment 10 Bug Zapper 2010-12-03 09:29:40 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Nivag 2010-12-08 01:14:53 EST
This occurs in Fedora 14!

I had applied all appropriate patches as suggested by yum update earlier today.

Please reopen this bug.
Comment 12 Stan King 2010-12-17 03:30:23 EST
Package: system-config-services-0.99.47-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Installed hddtemp
2. Modified /etc/sysconfig/hddtemp to include /dev/sda
3. Ran the services GUI to enable the hddtemp daemon and start it
4. The services GUI did not reflect my actions, so I halted it
5. The abort occurred when I restarted the services GUI


Comment
-----
The services GUI triggers something that consumes a lot of CPU, but doesn't seem to
inhibit its function, usually.  Maybe this time, something was different.
Comment 13 Michael Setzer II 2010-12-26 08:53:02 EST
Package: system-config-services-0.99.47-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Running system-config-service when it stopped responding
2.
3.
Comment 14 Barbara 2010-12-29 20:32:38 EST
Package: system-config-services-0.99.47-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Login
2. System->Administration->Services


Comment
-----
It worked after trying to start it again .
Probably the session wasn't completely initialized?
Comment 15 Jean-frederic Clere 2011-01-24 05:40:05 EST
Package: system-config-services-0.99.47-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
Don't remember... Probably unpluging a device or undocking the box.



Comment
-----
If it doesn't help close it....
Comment 16 Ryan Spinuzzi 2011-03-07 19:23:09 EST
Package: system-config-services-0.99.47-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.
Starting the denyhosts service in the system-config-services app
Comment 17 Samuel 2011-03-25 06:57:54 EDT
Package: system-config-services-0.99.47-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. try to start system-config-services
2.
3.
Comment 18 Rafal Boruc 2011-04-30 20:11:19 EDT
Package: system-config-services-0.99.47-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.
2.
3.restart service network
Comment 19 Bug Zapper 2011-06-02 09:42:47 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Bug Zapper 2011-06-27 12:33:52 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.